Combined tree fails to build -- libtool version mismatch?

Paolo Bonzini bonzini@gnu.org
Sat Jan 9 14:26:00 GMT 2010


On 01/09/2010 12:16 PM, Steven Bosscher wrote:
> This is with gcc SVN revision 155740, and src checked out yesterday
> (top of src/Changelog is the fix from Kaveh and FX for gcc PR42424).
>
> Not knowing a thing about libtool, I hope someone can tell me what's
> wrong here;-)

src and gcc's libtool are out-of-sync (2.2.6 vs. 2.2.7a respectively). 
Since gcc's files dominate, you have ltmain.sh from GCC but bfd's 
configure uses src's libtool configuration.

Binutils should adopt GCC's libtool.m4, ltmain.sh, lt~obsolete.m4, 
ltoptions.m4, ltsugar.m4, ltversion.m4 and src should rerun autoconf on 
all of its scripts (CCing gdb, newlib and cygwin mailing lists).

DJ, can you add these files to the list that we get email about?

Paolo



More information about the Binutils mailing list